列出 azureADDevice 资源
命名空间:microsoft.graph.windowsUpdates
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
获取 azureADDevice 对象及其属性的列表。
此操作筛选完全限定的资源类型, microsoft.graph.windowsUpdates.azureADDevice 该类型继承自 updatableAsset。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 |
权限(从最低特权到最高特权) |
| 委派(工作或学校帐户) |
WindowsUpdates.ReadWrite.All |
| 委派(个人 Microsoft 帐户) |
不支持。 |
| 应用程序 |
WindowsUpdates.ReadWrite.All |
HTTP 请求
GET /admin/windows/updates/updatableAssets/?$filter=isof('microsoft.graph.windowsUpdates.azureADDevice')
可选的查询参数
此方法支持一些 OData 查询 参数来帮助自定义响应,包括 $count $filter $orderBy $select 、、 $skip 和 $top 。
若要对不是从 updatableAsset继承的属性使用查询参数,请包含完整的资源类型。 例如,若要选择 errors 属性,请使用 $select=microsoft.graph.windowsUpdates.azureADDevice/errors 。
| 名称 |
说明 |
| Authorization |
Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 响应代码和 200 OK azureADDevice 对象集合。
示例
请求
GET https://graph.microsoft.com/beta/admin/windows/updates/updatableAssets/?$filter=isof('microsoft.graph.windowsUpdates.azureADDevice')
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var updatableAssets = await graphClient.Admin.Windows.Updates.UpdatableAssets
.Request()
.Filter("isof('microsoft.graph.windowsUpdates.azureADDevice')")
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let updatableAssets = await client.api('/admin/windows/updates/updatableAssets/')
.version('beta')
.filter('isof(\'microsoft.graph.windowsUpdates.azureADDevice\')')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/admin/windows/updates/updatableAssets/?$filter=isof('microsoft.graph.windowsUpdates.azureADDevice')"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphUpdatableAsset *updatableAsset = [[MSGraphUpdatableAsset alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
UpdatableAssetCollectionPage updatableAssets = graphClient.admin().windows().updates().updatableAssets()
.buildRequest()
.filter("isof('microsoft.graph.windowsUpdates.azureADDevice')")
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestParameters := &msgraphsdk.UpdatableAssetsRequestBuilderGetQueryParameters{
Filter: "isof('microsoft.graph.windowsUpdates.azureADDevice')",
}
options := &msgraphsdk.UpdatableAssetsRequestBuilderGetRequestConfiguration{
QueryParameters: requestParameters,
}
result, err := graphClient.Admin().Windows().Updates().UpdatableAssets().GetWithRequestConfigurationAndResponseHandler(options, nil)
Import-Module Microsoft.Graph.WindowsUpdates
Get-MgWindowsUpdatesUpdatableAsset -Filter "isof('microsoft.graph.windowsUpdates.azureADDevice')"
响应
HTTP/1.1 200 OK
Content-Type: application/json
{
"value": [
{
"@odata.type": "#microsoft.graph.windowsUpdates.azureADDevice",
"id": "983f03cd-03cd-983f-cd03-3f98cd033f98",
"errors": [],
"enrollments": [
{
"@odata.type": "microsoft.graph.windowsUpdates.updateManagementEnrollment",
"updateCategory": "feature"
}
]
},
{
"@odata.type": "#microsoft.graph.windowsUpdates.azureADDevice",
"id": "90b91efa-6d46-42cd-ad4d-381831773a85",
"errors": [],
"enrollments": []
},
{
"@odata.type": "#microsoft.graph.windowsUpdates.azureADDevice",
"id": "0ee3eb63-caf3-44ce-9769-b83188cc683d",
"errors": [
{
"@odata.type": "microsoft.graph.windowsUpdates.azureADDeviceRegistrationError"
}
],
"enrollments": []
}
]
}